Subject: bug#26490: 25.1; package-buffer-info is incorrectly case-insensitive

From: Glenn Morris <[email-masked]>
Date: Fri, 14 Apr 2017 16:29:47 -0400

Steve Purcell wrote:

> `package-buffer-info' looks for an "filename.el ends here" comment line,
> where "filename.el" matches that provided on the first line of the
> file.

Why does it care at all?
I thought the "filename ends here" was an ancient way of identifying
files that might have been truncated in transit. It doesn't seem
relevant in this day and age.
And if that is what it's for, why should the case of the filename matter?
So long as some "ends here" line is there, the file is ok.